/// <reference types="react" />
interface SidebarButtonProps {
    isSmallAppBar?: boolean;
    isNavBarEnabled?: boolean;
    isLogoVisible?: boolean;
}
export declare const SidebarButton: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
} & SidebarButtonProps, import("react").DetailedHTMLProps<import("react").ButtonHTMLAttributes<HTMLButtonElement>, HTMLButtonElement>, {}>;
interface SidebarIconProps {
    isLogoVisible?: boolean;
}
export declare const SidebarIcon: import("@emotion/styled").StyledComponent<import("@metabase/embedding-sdk-react/dist/frontend/src/metabase/ui").IconProps & import("react").RefAttributes<SVGSVGElement> & {
    theme?: import("@emotion/react").Theme | undefined;
} & SidebarIconProps, {}, {}>;
export {};
